import Config

# Only in tests, remove the complexity from the password hashing algorithm
config :bcrypt_elixir, :log_rounds, 1

# Configure your database
#
# The MIX_TEST_PARTITION environment variable can be used
# to provide built-in test partitioning in CI environment.
# Run `mix help test` for more information.
config :something_erlang, SomethingErlang.Repo,
  username: "postgres",
  password: "postgres",
  hostname: "localhost",
  database: "something_erlang_test#{System.get_env("MIX_TEST_PARTITION")}",
  pool: Ecto.Adapters.SQL.Sandbox,
  pool_size: 10

# We don't run a server during test. If one is required,
# you can enable the server option below.
config :something_erlang, SomethingErlangWeb.Endpoint,
  http: [ip: {127, 0, 0, 1}, port: 4002],
  secret_key_base: "HtGnJwM5x3sH8vM0q0wZVOLL5vx0f12/P0Sfd96Hv/pNDvFdwTC8FhHuRDz0Ba6b",
  server: false

# In test we don't send emails.
config :something_erlang, SomethingErlang.Mailer, adapter: Swoosh.Adapters.Test

# Print only warnings and errors during test
config :logger, level: :warn

# Initialize plugs at runtime for faster test compilation
config :phoenix, :plug_init_mode, :runtime
